package visualization6;

import java.awt.Graphics2D;
import java.awt.geom.Rectangle2D;

/**
 * ツリーマップの描画を行います。
 */

public interface TreeMapRenderer {
    /**
     * ツリーマップを描画します。
     * 
     * @param g
     *            グラフィックオブジェクト
     * @param node
     *            ノード
     * @param bounds
     *            描画領域
     */
    void render(Graphics2D g, Node node, Rectangle2D bounds);
}
